Get an institution
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/institution \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/institution"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/institution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "institution",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"demo": true
},
"relationships": {
"profiles": {
"links": {
"related": "<string>"
},
"meta": {}
},
"departments": {
"links": {
"related": "<string>"
},
"meta": {}
},
"ranks": {
"links": {
"related": "<string>"
},
"meta": {}
}
},
"meta": {
"profiles_count": 123,
"departments_count": 123,
"ranks_count": 123
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Institutions
Get an institution
Returns the current institution
GET
/
api
/
v1
/
institution
Get an institution
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/institution \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/institution"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/institution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "institution",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"demo": true
},
"relationships": {
"profiles": {
"links": {
"related": "<string>"
},
"meta": {}
},
"departments": {
"links": {
"related": "<string>"
},
"meta": {}
},
"ranks": {
"links": {
"related": "<string>"
},
"meta": {}
}
},
"meta": {
"profiles_count": 123,
"departments_count": 123,
"ranks_count": 123
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Query Parameters
Comma-separated list of relationships to include. Allowed: profiles, departments, ranks
Response
institution found
Show child attributes
Show child attributes
⌘I